View Issue Details

IDProjectCategoryLast Update
0020850AI War 2[All Projects] Balance IssueDec 27, 2018 4:10 pm
ReporterzeusalmightyAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.809 Divide By Human 
Fixed in Version0.810 
Summary0020850: Mark II Command Posts should cost less science
DescriptionTry as I might, I can never motivate myself enough to really invest in command station upgrades-- 3,750 science is just a major commitment, and locks you into one (because why would you then use other command stations?)

I think 3,000 science is about the amount I'm willing to invest (needs testing to confirm)

Of course, the other route would to buff these stations more--I don't think that's the right approach though.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Dec 20, 2018 7:05 pm

developer   ~0050631

Possibly. I don't find myself upgrading them either, despite the sheer power increase on some (Military 50% boost > 100% boost, Logistics salvage doubling).

I'm not sure what to think of the current incarnations. Was thinking of the Military Station getting something like Paralysis...then Translocation to replace that in time.

zeusalmighty

Dec 20, 2018 7:41 pm

reporter   ~0050634

Yeah.. I'm not sure what needs to be done to open up interesting playstyles based on teching command stations. But as they are now, I just can justify using them, even with their useful buffs

RocketAssistedPuffin

Dec 27, 2018 4:10 pm

developer   ~0050675

Reduced the Science cost of them, as well as Forts. MK2 is now 3,000, MK3 is 5,000.

Issue History

Date Modified Username Field Change
Dec 20, 2018 6:12 pm zeusalmighty New Issue
Dec 20, 2018 6:13 pm zeusalmighty Category Bug - Gameplay => Balance Issue
Dec 20, 2018 7:05 pm RocketAssistedPuffin Note Added: 0050631
Dec 20, 2018 7:41 pm zeusalmighty Note Added: 0050634
Dec 21, 2018 10:59 am RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Dec 21, 2018 10:59 am RocketAssistedPuffin Status new => assigned
Dec 27, 2018 4:10 pm RocketAssistedPuffin Status assigned => resolved
Dec 27, 2018 4:10 pm RocketAssistedPuffin Resolution open => fixed
Dec 27, 2018 4:10 pm RocketAssistedPuffin Fixed in Version => 0.810
Dec 27, 2018 4:10 pm RocketAssistedPuffin Note Added: 0050675